{% load static %}
<!DOCTYPE html>
<html lang="es">
<head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link rel="stylesheet" href="//cdn.jsdelivr.net/npm/bootstrap@5.0.0-beta2/dist/css/bootstrap.min.css"
    integrity="sha384-BmbxuPwQa2lc/FVzBcNJ7UAyJxM6wuqIj61tLrc4wSX0szH/Ev+nYRRuWlolflfl" crossorigin="anonymous">

    <link rel="stylesheet" href="//cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">
    <link rel="stylesheet" href="{% static 'css/styles.css' %}">

    <title>To Do List - Django & VueJS</title>
</head>
    <body>
        <div class="container" style="text-align: center; margin-top: 40px;">
            <h2>To Do List - Django & VueJS</h2>
        </div>
        <div id="app" class="container tareas-row" style="display: inline;">

            <div class="row" style="width: 100%;">
                <div class="col-md-3"></div>
                <div class="col-md-3">
                    <h4>Crear una Tarea</h4>
                    <hr>
                    <form @submit.prevent="creaTarea()">
                        <div class="addtarea">
                            <label for="tarea" style="text-align: left;">Nombre tarea:</label>
                            <input type="text" id="tareaInput" name="tarea" v-model="tarea.nombreTarea">
                            <button class="btn"><i id="icon-plus-tarea" class="fa fa-plus-circle" aria-hidden="true"></i></button>
                        </div>
                    </form>
                    <h4 id="admin-tareas-titulo">Administración de Tareas</h4>
                    <hr>
                    <draggable tag="div" :list="tareas" handle=".handle">
                        <div v-for="tarea in tareas" :key="tarea.id" class="card" style="margin-bottom: 5px;">
                            <div class="card-body" id="card-body-tarea">
                                <i id="icon-sandwich-tarea" class="fa fa-bars handle" aria-hidden="true"></i>
                                <p id="texto-tarea-edit">{$ tarea.nombreTarea $}</p>
                                <button class="btn btn-admin" >
                                    <i v-if="tarea.estadoTarea === 0" id="icon-ok-tarea" class="fa fa-check-circle" aria-hidden="true" @click="editaTarea(tarea.id, tarea.nombreTarea, tarea.estadoTarea)"></i>
                                    <i v-else-if="tarea.estadoTarea === 1" id="icon-ok-tarea" class="fa fa-check-circle estado-ok" aria-hidden="true" @click="editaTarea(tarea.id, tarea.nombreTarea, tarea.estadoTarea)"></i>
                                </button>
                                <button class="btn btn-admin" @click="deleteTarea(tarea.id)"><i class="fa fa-times-circle" aria-hidden="true"></i></button>
                            </div>
                        </div>
                    </draggable>
                </div>

                <div class="col-md-3">
                    <h4>Listado de Tareas</h4>
                    <hr>
                    <div id="listado-tareas" class="card">
                        <ul class="list-group list-group-flush">
                            <li v-for="tarea in tareas" :key="tarea.id" id="ul-listado-tareas"  class="list-group-item">
                                <p id="texto-tarea-list">{$ tarea.nombreTarea $}</p>
                                <p v-if="tarea.estadoTarea === 0" id="estado-tarea-list">Pendiente</p>
                                <p v-else-if="tarea.estadoTarea === 1" id="estado-tarea-list" class="estado-ok">OK</p>
                                <p v-else-if="tarea.estadoTarea === 2" id="estado-tarea-list">En desarrollo</p>
                                <p v-else id="estado-tarea-list">Sin info</p>
                            </li>
                        </ul>
                    </div>
                </div>
                <div class="col-md-3"></div>
            </div>

        </div>
        
        <!-- VueJS -->
        <script type="text/javascript" src="{% static 'vue/vue.js' %}"></script>
        <script type="text/javascript" src="{% static 'vue/axios.min.js' %}"></script>
        <script type="text/javascript" src="{% static 'vue/axios.min.js' %}"></script>
        <!-- Draggable Functionality -->
        <script type="text/javascript" src="{% static 'js/Sortable.js' %}"></script>
        <script type="text/javascript" src="{% static 'vue/vuedraggable.umd.min.js' %}"></script>
        <!-- Custom Scripts -->
        <script type="text/javascript" src="{% static 'vue/apps/agregaTarea.js' %}"></script>
        
        
    </body>
    
</html>